qualMeas {baseline} | R Documentation

## Extraction functions for "predictionResult" or "baselineAlgResult" objects

### Description

Extract slots from objects of class `predictionResult` or `baselineAlgResult`.

### Usage

    qualMeas(object, ...)
    ## S4 method for signature 'predictionResult'
    qualMeas(object, ...)
    ## S4 method for signature 'baselineAlgResult'
    qualMeas(object, ..., MIN, AVG,
      DEFAULT = c("all", "cond.min", "overall.min", "avg"))
    minQualMeas(object)
    param.min(object)
    qualMeasName(object)

### Arguments

`object` | An object of class `predictionResult` or `baselineAlgResult`
`MIN` | List or vector of parameter names to take the minimum over. Not used if `DEFAULT` is `"cond.min"`. See Details
`AVG` | List or vector of parameter names to take the average over. Not used if `DEFAULT` is `"avg"`. See Details
`DEFAULT` | Character string. The default way to calculate the minimum (or average) for all parameters. See Details
`...` | Other arguments. Selection of subsets of parameter levels. See Details

### Details

The arguments to the `baselineAlgResult` method are interpreted in the following way:

Subsets of parameters levels can be selected by supplying their names and specifying the level indices as vectors. Substituting a vector with `"all"` will return all levels of the corresponding parameter, and substituting it with `"overall"` will return the level corresponding to the overall minimum. Minimum and average values for selected parameters can be chosen using `MIN` and `AVG`, respectively, together with a vector of parameter names.

`DEFAULT` specifies the action for each remaining parameters: If `"all"` (default): returns all levels. If `"cond.min"`: take minimum for each remaining parameter (MIN is not used). If `"overall.min"`: set any remaining parameters to their value corresponding to the overall min. If `"avg"`: take average for each remaining parameter (AVG is not used).

### Value

The `qualMeas` method for `baselineAlgResult` objects returns the subsets or minimum values of the `qualMeas` slot of the object as specified above. All other methods simply return the corresponding slot.

### Author(s)

Bjørn-Helge Mevik and Kristian Hovde Liland

### See Also

Function `runTest`, classes `baselineAlgResult` and `predictionResult`

[Package baseline version 1.2-1 Index]